Hornbill Core Services Version 3.1.1 Release Notes

Hornbill Core Services Release History

Version Release Date
3.1.1 16 February 2009
3.1.0 03 July 2007
3.0.1 23 January 2007
3.0.0 04 January 2007

Introduction

Welcome to the Core Services Version 3.1.1 patch release. This release has been tested and verified for the ability to upgrade directly from any previous version of Core Services. Version 3.1.1 is a required upgrade if you wish to upgrade your Supportworks installation to Version 7.3.9 or later.

As always, if you encounter any problems or would like to ask questions about your specific installation before or after upgrading, please contact Hornbill's Technical Support Team on +44 208 582 8228 or by e-mail at support@hornbill.com.

NOTE ABOUT MULTIPLE PHP INSTALLATIONS: Problems have been encountered with conflicts between Core Services and independent installations of PHP (PHP 5 in particular). In one case, this was because PHP 5 was in the directory path given by theĀ %path% environment variable, and therefore the Core Services version of PHP may have used some of the files in this path. For this reason, it is not recommended to have separate versions of PHP installed on the same server as Core Services. This should be a consideration when diagnosing problems relating to the display of PHP pages in Web browsers or the Supportworks client.

IMPORTANT NOTE ABOUT BACKUPS: Before applying any upgrade to your live system, please ensure that you have a full backup of your Core Services, complete with database.

WARNING ABOUT EX-CONTRACT UPGRADES: If you attempt to apply this upgrade to a system and you do not have a current Supportworks or Assetworks support/maintenance contract, the upgraded system may fail to operate after the installation is complete and it would be your responsibility to restore your previous installation from your backup. Check that you have a valid support/maintenance contract before applying this upgrade.

New and Improved in Version 3.1.1

Nothing. The sole purpose of this patch release was to resolve some issues with Version 3.1.0 and with the installation of the software (as described below).

Fixed in Version 3.1.1

New and Improved in Version 3.1.0

Hornbill Core Services Admin Service

We have developed, as part of Core Services, a new Windows NT service called SwAdminService. In the future, this will replace a number of server-side utilities and their respective GUIs with a unified Web-browser-based server administration facility, thus simplifying the development cycles of any required server-side administration functions.

XSLT Functionality Enabled

On new installations only, php_xslt has been enabled, allowing XSLT to be used from within PHP. This will support server-side data transformations in the future, used for printing, document merging and other general data-transformation tasks.

PHP XML_DOM Support

We are now preconfiguring the supplied PHP extension DLL (php_domxml.dll) so that it is ready for use.

SSPI Support

We are now supplying, as part of Core Services, the module mod_auth_sspi, and have set up the Apache server to enable it. This module allows the configuration of pass-through logins in a Microsoft environment (NTLM authentication).

"Magic Quotes" PHP Directives Disabled

We have now disabled magic quotes by default in the php.ini file as follows:

magic_quotes_gpc = Off
magic_quotes_runtime = Off
magic_quotes_sybase = Off

These settings turn off some rather undesirable behaviour in PHP. Any backslash escapes required in the PHP code should instead be implemented at the relevant points using addslashes(). The active pages in Supportworks that used to depend on the magic quotes directives being enabled have all since been modified and no longer need these settings to be on.

Fixed in Version 3.1.0

New and Improved in Version 3.0.1

Nothing. The sole purpose of this release was to resolve some issues with the installation of Version 3.0.0 (as described below).

Fixed in Version 3.0.1

Fixes have been implemented in Version 3.0.1 for the following problems:

New and Improved in Version 3.0.0

Apache HTTP Server (SwHttpServer) has been upgraded to Version 2.0.59
This is mainly a security update. For full details, please visit:
http://www.apache.org/dist/httpd/Announcement2.0.html

PHP has been upgraded to Version 4.4.4
This is mainly a security update. For full details, please visit:
http://www.php.net/ChangeLog-4.php

Zend Optimizer has been upgraded to Version 3.0.1
This was upgraded to fully support PHP Versions 4.4.x. For full details, please visit:
http://www.zend.com/products/zend_optimizer

OpenSSL Version 0.9.8d support has been added
This is now configured to work with Apache out of the box on a fresh installation but, because we do not want the upgrade to overwrite any modifications that you may have made to your existing installation, a small amount of manual modification will need to be done to the Apache configuration file to enable this support when you upgrade from previous versions of Core Services. Details of this manual modification can be found in an FAQ entitled "SSL Support" in the Hornbill Support Forum (under Hornbill Core Services).

The Supportworks PHP extension DLL
This has been extended to allow us to support formatted date/time fields for all internationalisations in the Supportworks active pages.